Find Creatives (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/creativestable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [
{
"search_type": "creative_status",
"value": "active"
}
]
}
'import requests
url = "https://api.eflow.team/v1/networks/creativestable"
payload = { "search_terms": [
{
"search_type": "creative_status",
"value": "active"
}
] }
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({search_terms: [{search_type: 'creative_status', value: 'active'}]})
};
fetch('https://api.eflow.team/v1/networks/creativestable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/creativestable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search_terms' => [
[
'search_type' => 'creative_status',
'value' => 'active'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/creativestable"
payload := strings.NewReader("{\n \"search_terms\": [\n {\n \"search_type\": \"creative_status\",\n \"value\": \"active\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/creativestable")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"search_terms\": [\n {\n \"search_type\": \"creative_status\",\n \"value\": \"active\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/creativestable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search_terms\": [\n {\n \"search_type\": \"creative_status\",\n \"value\": \"active\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"creatives": [
{
"network_offer_creative_id": 123,
"network_id": 123,
"name": "<string>",
"network_offer_id": 123,
"network_offer_name": "<string>",
"creative_type": "image",
"is_private": true,
"creative_status": "active",
"resource_url": "<string>",
"html_code": "<string>",
"width": 123,
"height": 123,
"email_from": "<string>",
"email_subject": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"optimized_thumbnail_url": "<string>",
"email_subject_lines": "<string>",
"email_from_lines": "<string>"
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Creatives
Find Creatives (Advanced)
POST
/
networks
/
creativestable
Find Creatives (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/creativestable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [
{
"search_type": "creative_status",
"value": "active"
}
]
}
'import requests
url = "https://api.eflow.team/v1/networks/creativestable"
payload = { "search_terms": [
{
"search_type": "creative_status",
"value": "active"
}
] }
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({search_terms: [{search_type: 'creative_status', value: 'active'}]})
};
fetch('https://api.eflow.team/v1/networks/creativestable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/creativestable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search_terms' => [
[
'search_type' => 'creative_status',
'value' => 'active'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/creativestable"
payload := strings.NewReader("{\n \"search_terms\": [\n {\n \"search_type\": \"creative_status\",\n \"value\": \"active\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/creativestable")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"search_terms\": [\n {\n \"search_type\": \"creative_status\",\n \"value\": \"active\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/creativestable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search_terms\": [\n {\n \"search_type\": \"creative_status\",\n \"value\": \"active\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"creatives": [
{
"network_offer_creative_id": 123,
"network_id": 123,
"name": "<string>",
"network_offer_id": 123,
"network_offer_name": "<string>",
"creative_type": "image",
"is_private": true,
"creative_status": "active",
"resource_url": "<string>",
"html_code": "<string>",
"width": 123,
"height": 123,
"email_from": "<string>",
"email_subject": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"optimized_thumbnail_url": "<string>",
"email_subject_lines": "<string>",
"email_from_lines": "<string>"
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Retrieve a paginated list of creatives. Supports search filters, sorting, and pagination to help you find and browse creatives programmatically. Filter by name, creative status, creative type, offer name, or offer ID.
Authorizations
Query Parameters
Was this page helpful?
